Page MenuHomePhabricator

Article footer and read more
Closed, ResolvedPublic

Description

Why are we doing this?

We would like to be able to encourage users to read more when they reach the bottom of an article by suggesting similar articles to them. Additionally we need to include the legal footer.

User story

As a KaiOS app user, when I read an article to completion it generally means that I am interested in this subject and would like to learn more about it by reading similar articles.

Features

  • Read more
  • Legal footer
  • Edit history - how many days ago the article was edited

Proposed designs

Read moreLegal footer + last edit timestamp
https://zpl.io/29znGpphttps://zpl.io/29znGpp
Interaction details

All elements displayed here act as links (eg. are set to focus by moving left/right on the D-pad)

V1 exclusions
  • a link to go to full version history
  • Talk
  • Categories

Event Timeline

cmadeo created this task.Oct 23 2019, 5:48 PM
Restricted Application added a project: Inuka-Team. · View Herald TranscriptOct 23 2019, 5:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
cmadeo updated the task description. (Show Details)Oct 23 2019, 6:11 PM
cmadeo updated the task description. (Show Details)
cmadeo updated the task description. (Show Details)Oct 24 2019, 8:39 PM
cmadeo updated the task description. (Show Details)
cmadeo moved this task from Design doing to Ready for approval on the KaiOS-Wikipedia-app board.
cmadeo removed cmadeo as the assignee of this task.Oct 25 2019, 8:49 PM
SBisson moved this task from Backlog to Q2 on the Inuka-Team board.Nov 13 2019, 2:43 PM
SBisson moved this task from Q2 to Kanban on the Inuka-Team board.Nov 13 2019, 2:46 PM
SBisson edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
cmadeo updated the task description. (Show Details)Nov 13 2019, 7:57 PM
hueitan claimed this task.Dec 27 2019, 1:02 PM
hueitan moved this task from Ready for Dev to Dev on the Inuka-Team (Kanban) board.

API GET example for Read more

https://en.wikipedia.org/w/api.php?action=query&format=json&formatversion=2&prop=pageimages%7Cdescription&piprop=thumbnail&pithumbsize=160&pilimit=3&generator=search&gsrsearch=morelike%3ACat&gsrnamespace=0&gsrlimit=3&gsrqiprofile=classic_noboostlinks&uselang=content&smaxage=86400&maxage=86400

@cmadeo what's the styling when the user hovers item in the suggested article?

hueitan moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.Jan 2 2020, 5:00 PM
AMuigai updated the task description. (Show Details)Jan 6 2020, 7:15 AM
hueitan moved this task from Code Review to Dev on the Inuka-Team (Kanban) board.Jan 6 2020, 12:48 PM
AMuigai updated the task description. (Show Details)Jan 6 2020, 1:09 PM
SBisson added a subscriber: SBisson.Jan 6 2020, 3:25 PM

What should be the text of the table of content entry that leads to the footer section?

cmadeo added a comment.Jan 6 2020, 6:50 PM

@SBisson let's call it 'Suggested articles' and not have a TOC entry for the legal footer.

cmadeo added a comment.Jan 6 2020, 6:54 PM

@hueitan could we use the same styling as the link preview? https://zpl.io/bo6P6QE

@SBisson let's call it 'Suggested articles' and not have a TOC entry for the legal footer.

If user change the article language, we don't fetch the language file for that, so we will still show the Suggested articles in the app language.

cmadeo added a comment.Jan 8 2020, 7:22 PM

@hueitan That's okay, if they switch their app language this will update though, correct?

@hueitan That's okay, if they switch their app language this will update though, correct?

exactly, yes.

ping @cmadeo require the design change for the information of Edit history

cmadeo added a comment.Jan 9 2020, 8:20 PM

@hueitan will we be using an external link for Edit history?

@cmadeo @hueitan Let's not include an external link to go to edit history for this version. I updated the exclusions in the ticket description in the section titled "V1 exlusions".

Do we want something that is non-interactive that just states the timestamp of the last edit, something like "Updated on TIMESTAMP", @AMuigai ?

Yes, non-interactive please.

cmadeo updated the task description. (Show Details)Jan 10 2020, 10:11 PM

Updated to include the edit time stamp

The current design looks "Suggested Articles" and "Legal Section" are in the same section, but in the cases the article doesn't have suggested articles, then the "Suggested Articles" shoudn't be shown in ToC, therefore no "Legal Section"

How do we show the "Legal Section" when there aren't any suggested articles?

hueitan reopened this task as Open.Jan 14 2020, 5:30 AM

@hueitan would it be possible to have the legal footer presented as a separate section at the bottom of each article (eg not attached to any other section) but also hide it in the TOC, then it would either appear under the Suggested articles or after the References section if there are no Suggested articles? It might be helpful to connect with someone on the apps teams to know more about how this is handled.

Jpita moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.Jan 21 2020, 2:45 PM
Jpita moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Jan 21 2020, 2:49 PM
AMuigai added a comment.EditedFeb 6 2020, 10:15 AM

Separating tasks from each other, since the original ask of this ticket is done. Pending work is described in T242308

AMuigai closed this task as Resolved.Feb 6 2020, 8:07 PM